
#include <DHT.h>

// Definición del pin y tipo de sensor
#define DHTPIN D4       // Pin digital al que se conecta el DHT11
#define DHTTYPE DHT11    // Tipo de sensor: DHT11

DHT dht(DHTPIN, DHTTYPE);

void setup() {
  Serial.begin(115200);
  dht.begin();  // Inicialización del sensor
}

void loop() {
  float temperature = dht.readTemperature();
  float humidity = dht.readHumidity();

  if (isnan(temperature) || isnan(humidity)) {
    Serial.println("Error al obtener los datos del sensor DHT11");
    return;
  }

  Serial.print("Temperature = ");
  Serial.print(temperature);
  Serial.println(" °C");

  Serial.print("Humidity = ");
  Serial.print(humidity);
  Serial.println(" %");

  delay(5000);
}
